summaryrefslogtreecommitdiff
path: root/debian/tests/libstdcxx-link
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/libstdcxx-link')
-rwxr-xr-xdebian/tests/libstdcxx-link27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/tests/libstdcxx-link b/debian/tests/libstdcxx-link
new file mode 100755
index 0000000..7718974
--- /dev/null
+++ b/debian/tests/libstdcxx-link
@@ -0,0 +1,27 @@
+#!/bin/sh
+# autopkgtest check: Build and run a simple program against libstdc++,
+# to verify basic compile-time and run-time linking functionality.
+
+set -e
+
+CXX=g++-9
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > libstdcxx.cc
+#include <iostream>
+using namespace std;
+
+int main() {
+ cout << "Hello! World!\n";
+ return 0;
+}
+EOF
+
+$CXX -o cxxtest libstdcxx.cc
+echo "build: OK"
+ldd cxxtest
+[ -x cxxtest ]
+./cxxtest
+echo "run: OK"